package com.ruoyi.learn.mapper;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.learn.domain.LearnTestStudent;
import org.apache.ibatis.annotations.Param;

/**
 * 测试学生Mapper接口
 * 
 * @author ruoyi
 * @date 2025-09-18
 */
public interface LearnTestStudentMapper 
{
    List<JSONObject> selectExamineeTestList(@Param("studentId") Long studentId, @Param("state") Integer state);

    List<LearnTestStudent> selectStatsForStudent(Long studentId);

    /**
     * 查询测试学生
     * 
     * @param id 测试学生主键
     * @return 测试学生
     */
    public LearnTestStudent selectLearnTestStudentById(Long id);

    /**
     * 查询测试学生列表
     * 
     * @param learnTestStudent 测试学生
     * @return 测试学生集合
     */
    public List<LearnTestStudent> selectLearnTestStudentList(LearnTestStudent learnTestStudent);

    /**
     * 新增测试学生
     * 
     * @param learnTestStudent 测试学生
     * @return 结果
     */
    public int insertLearnTestStudent(LearnTestStudent learnTestStudent);

    /**
     * 修改测试学生
     * 
     * @param learnTestStudent 测试学生
     * @return 结果
     */
    public int updateLearnTestStudent(LearnTestStudent learnTestStudent);
    public int updateExamineeStatus(LearnTestStudent learnTestStudent);
    /**
     * 删除测试学生
     * 
     * @param id 测试学生主键
     * @return 结果
     */
    public int deleteLearnTestStudentById(Long id);

    /**
     * 批量删除测试学生
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLearnTestStudentByIds(Long[] ids);
}
